Bug 239303 - Review Request: libgii - Input library for GGI
Review Request: libgii - Input library for GGI
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Package Reviews List
: Reopened
Depends On:
Blocks: 239939
  Show dependency treegraph
Reported: 2007-05-07 10:12 EDT by Nicolas Chauvet (kwizart)
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-05-22 17:26:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
tcallawa: fedora‑cvs+

Attachments (Terms of Use)

  None (edit)
Description Nicolas Chauvet (kwizart) 2007-05-07 10:12:34 EDT
Spec URL:
Description: Input library for GGI
Comment 1 Parag AN(पराग) 2007-05-22 00:13:44 EDT
hey whats reason behind opening same package review request twice?
Closing this duplicate bug.

*** This bug has been marked as a duplicate of 239939 ***
Comment 2 Parag AN(पराग) 2007-05-22 01:54:25 EDT
+ package builds in mock (development i386).
+ rpmlint is silent for SRPM and for RPMs.
+ source files match upstream.
e002b3b3b7fae2b2558fe7ac854359b7  libgii-1.0.2.src.tar.bz2
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
- License text is NOT included in package.
+ %doc is small so no need of -doc subpackage.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no static libraries.
+ no .pc files are present.
+ -devel subpackage exists.
+ no .la files.
+ no translations available.
+ Does owns the directories it creates.
+ no duplicates in %files.
+ file permissions are appropriate.
+ Provides: config(libgii) = 1.0.2-1.fc7 file.so keytrans.so libgg.so.1
libgii.so.1 linux_evdev.so linux_joy.so linux_kbd.so linux_mouse.so lk201.so
mouse.so null.so save.so spaceorb.so stdin.so tcp.so

SHOULD: Ask upstream to include License text file in tarball. There is already
one packaging draft submitted on how to request upstream to include license in
their tarballs.

Comment 3 Nicolas Chauvet (kwizart) 2007-05-22 04:26:54 EDT
New Package CVS Request
Package Name: libgii
Short Description: Input library for GGI
Owners: kwizart@gmail.com
Branches: FC-6 F-7 devel
Comment 4 Nicolas Chauvet (kwizart) 2007-05-22 05:46:53 EDT
License has been requested and is now added to upstream cvs repository!
It will be bundled with next release...
Comment 5 Tom "spot" Callaway 2007-05-22 09:21:19 EDT
Cvs is done.

Note You need to log in before you can comment on or make changes to this bug.